/**
 * 
 * @author schauer
 *
 * Klasse fuer die Wetterstation
 */
public class Wetterstation {

	// Instanzvariable: Ein Array vom Typ Double, welches die Temperaturwerte halten kann. 
	private double[] temperaturen;
	
	// Der Konstruktor bekommt als Parameter ein solches Array vom Typ Double
	public Wetterstation(double[] temperaturen){
		
		this.temperaturen = temperaturen;
	}
	
	// Method zur Berechnung der Durchschnittstemperatur
	public double getMeanTemperature(){
		
		int summe = 0;
		
		for(double temp : this.temperaturen)
			summe += temp;
		
		return summe/this.temperaturen.length;
	}
	
	// Methode zur Berechnung der max. Temperatur
	public double getMaxTemperature(){
		
		double max = 0.0;
		
		for(double t : this.temperaturen){
			
			if(t>max){
				max = t;
			}
					
		}
		return max;
	}
	
	// Methode, um den Tag zu bekommen, an dem die niedrigste Temperatur gemessen wurde. 
	public int getDayOfLowestTemperature(){
		
		double low = 10000;
		int tag = 0;
		
		for(int i=0;i<this.temperaturen.length;i++){
			
			if(low>this.temperaturen[i]){
				
				low = this.temperaturen[i];
				tag = i;
			}
			
		}
		return tag;
		
	}
	
}
